kernel_dir <- c("stem_kernel", "string_kernel", "simpal")
kernel_name <- c("Stem Kernel", "String Kernel", "Palindrome Kernel")
families <- c("tRNA", "miRNA", "5SrRNA", "HACA-snoRNA", "CD-snoRNA")
families_name<- c("tRNA", "miRNA", "5S rRNA", "H/ACA snoRNA", "C/D snoRNA")
sz <- seq(10, 100, 10)
xlim <- c(0, 100)
ylim <- c(0.35, 1.0)
xlab <- "# of sample data"
ylab <- "AUC"

for (i in 1:5) {
  postscript(paste(families[i], ".eps", sep=""),
             horizontal=FALSE, height=7, width=9, pointsize=15,
             paper = "special")
  #for (j in 1:3) {
  for (j in 1:2) {
    file <- paste(kernel_dir[j], "/", families[i], "-size.csv", sep="")
    f <- as.matrix(read.csv(file, header=F))
    plot(sz, as.numeric(f),
         main=families_name[i], xlab=xlab, ylab=ylab,
         xlim=xlim, ylim=ylim, lty=j, col=j, type="b", pch=j)
    par(new=T)
  }
  par(new=F)
  #legend(60, 0.5, kernel_name, lty=1:3, col=1:3, pch=1:3)
  legend(70, 0.5, kernel_name[1:2], lty=1:2, col=1:2, pch=1:2)
  dev.off()
}
