#!/bin/sh

families="tRNA 5SrRNA miRNA HACA-snoRNA CD-snoRNA"

eval_one_vs_self() {
    base=$1; shift;
    f=$1; shift;
    ruby res.rb pos $base/$f-$f-pos.out
    ruby res.rb neg $base/$f-$f-neg.out
}

eval_one_vs_others() {
    base=$1; shift
    f=$1; shift
    for g in $families; do
	if [ $f == $g ]; then
	    ruby res.rb pos $base/$f-$g-pos.out
	else
	    ruby res.rb neg $base/$f-$g-pos.out
	fi
	ruby res.rb neg $base/$f-$g-neg.out
    done
}

eval_one_vs_one() {
    base=$1; shift
    f=$1; shift
    g=$1; shift
    ruby res.rb pos $base/$f-$f-pos.out
    ruby res.rb neg $base/$f-$g-pos.out
}

for f in $families; do
    for i in `seq 0 9`; do
	eval_one_vs_self $i $f | ruby roc.rb | ruby auc.rb
    done | ruby avg.rb > $f.res

    for i in `seq 0 9`; do
	eval_one_vs_others $i $f | ruby roc.rb | ruby auc.rb
    done | ruby avg.rb > $f-others.res

    for g in $families; do
	if [ $f != $g ]; then
	    for i in `seq 0 9`; do
		eval_one_vs_one $i $f $g | ruby roc.rb | ruby auc.rb
	    done | ruby avg.rb > $f-$g.res
	fi
    done
done

