#!/bin/sh

BASE=`dirname $0`
cm_opts="--noalign --toponly"

aln2sto()
{
    in=$1; shift
    out=$1; shift
    RNAalifold $in > $in.str
    ruby $BASE/aln2mfa.rb -s $in.str $in | \
	ruby $BASE/mfa2sto.rb > $out
    rm -f $in.str alirna.ps
}

for i in `seq 0 9`; do
    mkdir -p $i
    for f in tRNA 5SrRNA miRNA HACA-snoRNA CD-snoRNA; do
	fa=../seq/$i/$f-pos-tr.fa
	aln=../seq/$i/$f-pos-tr.aln
	dnd=../seq/$i/$f-pos-tr.dnd
 	sto=./$i/$f-pos-tr.sto
 	cm=./$i/$f-pos-tr.cm
	if [ ! -s $aln ]; then
	    clustalw $fa
	    rm -f $dnd
	fi
	aln2sto $aln $sto
	#rm -f $aln $dnd

	cmbuild -F $cm $sto

	for g in tRNA 5SrRNA miRNA HACA-snoRNA CD-snoRNA; do
	    pos=../seq/$i/$g-pos-ts.fa
	    neg=../seq/$i/$g-neg-ts.fa
	    cmsearch $cm_opts $cm $pos > $i/$f-$g-pos.out
	    cmsearch $cm_opts $cm $neg > $i/$f-$g-neg.out
	done
    done
done
