#!/usr/bin/env ruby

def avg_std(v, w=1)
  sum=0.0
  sum2=0.0
  num=0.0
  v.each do |vv|
    sum+=vv*w
    sum2+=vv*vv*w
    num+=w
  end
  avg=sum/num
  var=sum2/num-avg*avg
  var=0.0 if var<0.0
  [avg, Math.sqrt(var)]
end

acc=[]
sp=[]
sn=[]
mcc=[]
roc=[]

ARGV.each do |res|
  IO.foreach(res) do |l|
    if l=~/acc=([\d.]+), sp=([\d.]+), sn=([\d.]+), mcc=(-?[\d.]+)/
      acc.push($1.to_f)
      sp.push($2.to_f)
      sn.push($3.to_f)
      mcc.push($4.to_f)
    elsif l=~/ROC score = ([\d.]+)/
      roc.push($1.to_f)
    end
  end
end
acc_avg,acc_std=avg_std(acc)
sp_avg,sp_std=avg_std(sp)
sn_avg,sn_std=avg_std(sn)
mcc_avg,mcc_std=avg_std(mcc)
roc_avg,roc_std=avg_std(roc)
puts "acc=#{acc_avg}, sp=#{sp_avg}, sn=#{sn_avg}, mcc=#{mcc_avg}"
puts "ROC score = #{roc_avg}"


