#!/bin/sh

families="tRNA 5SrRNA miRNA HACA-snoRNA CD-snoRNA"

eval_one_vs_self() {
    base=$1; shift;
    f=$1; shift;
    ruby add_label.rb +1 $base/$f-pos-tr.vec -1 $base/$f-neg-tr.vec > $base/$f-tr.vec
    ruby add_label.rb +1 $base/$f-pos-ts.vec -1 $base/$f-neg-ts.vec > $base/$f-ts.vec
    svm-train -t 0 $base/$f-tr.vec $base/$f.model
    svm-predict $base/$f-ts.vec $base/$f.model $base/$f.out
    ruby roc.rb $base/$f.out > $base/$f.res
}

eval_one_vs_others() {
    base=$1; shift;
    f=$1; shift;
    tr=""; ts=""
    for g in $families; do
	if [ $f = $g ]; then
	    tr="$tr +1 $base/$f-pos-tr.vec"
	    ts="$ts +1 $base/$f-pos-ts.vec"
	else
	    tr="$tr -1 $base/$f-pos-tr.vec"
	    ts="$ts -1 $base/$f-pos-ts.vec"
	fi
	tr="$tr -1 $base/$f-neg-tr.vec"
	ts="$ts -1 $base/$f-neg-ts.vec"
    done
    ruby add_label.rb $tr > $base/$f-others-tr.vec
    ruby add_label.rb $ts > $base/$f-others-ts.vec
    svm-train -t 0 $base/$f-others-tr.vec $base/$f-others.model
    svm-predict $base/$f-others-ts.vec $base/$f-others.model $base/$f-others.out
    ruby roc.rb $base/$f-others.out > $base/$f-others.res
}

for f in $families; do
    for i in `seq 0 9`; do
	eval_one_vs_self $i $f 
	eval_one_vs_others $i $f 
    done
    ruby avg-res.rb ?/$f.res > $f.res
    ruby avg-res.rb ?/$f-others.res > $f-others.res
done
