#!/bin/sh

dat=stem-w-all.dat
base=stem

families="5SrRNA tRNA miRNA HACA-snoRNA CD-snoRNA"

for f in $families; do
    ruby one-vs-all.rb ${f}+ $dat > $base-$f-others.dat
    svm-train -t 4 -v 10 $base-$f-others.dat | ruby roc_cv.rb > $base-$f-others.res
    ruby one-vs-one.rb ${f}+ ${f}- $dat > $base-$f.dat
    svm-train -t 4 -v 10 $base-$f.dat | ruby roc_cv.rb > $base-$f.res
done

for f in $families; do
    for g in $families; do
	if [ $f != $g -a ! -s $base-$g-$f.dat ]; then
	    ruby one-vs-one.rb ${f}+ ${g}+ $dat > $base-$f-$g.dat
	    svm-train -t 4 -v 10 $base-$f-$g.dat | ruby roc_cv.rb > $base-$f-$g.res
	fi
    done
done

